MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
MixerPlugin Struct Reference

`#include <MixerPlugin.hxx>`

Collaboration diagram for MixerPlugin:
[legend]

## Data Fields
Mixer *(* | init )(EventLoop &event_loop, AudioOutput &ao, MixerListener &listener, const ConfigBlock &block)
| Alocates and configures a mixer device. More...
bool | global
| If true, then the mixer is automatically opened, even if its audio output is not open. More...

## Detailed Description

Definition at line 36 of file MixerPlugin.hxx.

## Field Documentation

bool MixerPlugin::global

If true, then the mixer is automatically opened, even if its audio output is not open.

If false, then the mixer is disabled as long as its audio output is closed.

Definition at line 55 of file MixerPlugin.hxx.

Mixer*(* MixerPlugin::init) (EventLoop &event_loop, AudioOutput &ao, MixerListener &listener, const ConfigBlock &block)

Alocates and configures a mixer device.

Throws std::runtime_error on error.

Parameters

  ao | the associated AudioOutput
  param | the configuration section

Returns
  a mixer object

Definition at line 46 of file MixerPlugin.hxx.

The documentation for this struct was generated from the following file:

- mixer/MixerPlugin.hxx